Subject: bug#25852: closed (Re: bug#25852: Users not updating their installations of Guix)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 May 2017 20:17:02 +0000

Your bug report

#25852: Users not updating their installations of Guix

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25852: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25852
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25852: Users not updating their installations of Guix
From: [email-masked] (Ludovic Courtès)
To: myglc2 <[email-masked]>
Cc: Mark H Weaver <[email-masked]>, Leo Famulari <[email-masked]>, [email-masked]
Date: Wed, 10 May 2017 22:16:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

myglc2 <[email-masked]> skribis:

> How about extending this ... 
>
>> +      (warning (G_ "Your Guix installation is getting old.  Consider
>> +running 'guix pull' followed by '~a' to get up-to-date
>> +packages and security updates.\n")
>
> ... to inform the user how old the installation is?

Good idea.  I did that and pushed as
7fd952e05203d975fcb6cdabd2f742ade1b31b66.

Thanks for your feedback!

Ludo’.

Subject: Users not updating their installations of Guix
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Thu, 23 Feb 2017 16:11:56 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

In my opinion, the recent bug #25775 (Can't install packages after guix
pull) [0] exposed a sort of meta-bug: there are a significant number of
users who were still using the guix-daemon from 0.10.0.

It seems unlikely that they have been updating all of root's
packages except for the guix package. Rather, I bet they never updated
root's packages at all, for ~1 year.

I think this is a serious documentation bug.

[0]
https://bugs.gnu.org/25775